Summary: Automatically update RPMs for a Red Hat Linux System
Name: up2date
Version: 2.0.7
Release: 1
License: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: python >= 1.5.2 
Requires: rpm >= 4.0-3 rpm-python >= 4.0-3 python-xmlrpc >= 1.0-8
Requires: sh-utils
Requires: rhn_register

%description
The Red Hat Update Agent automatically queries the Red Hat Network
servers and figures out what packages need to be updated on your box.


%package gnome
Summary: GUI client for Update Agent.
Group: System Environment/Base
Requires: %{name} = %{version}
Requires: usermode >= 1.15 redhat-logos
Requires: /etc/pam.d/system-auth
Requires: gpg
Requires: pygnome pygtk pygtk-libglade
Requires: rhn_register-gnome
Prereq: /sbin/chkconfig

%description gnome
GNOME interface to the Update Agent. Runs if X Windows is available.

%prep
%setup -q

%build
make

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System
cat > $RPM_BUILD_ROOT/etc/X11/applnk/System/up2date.desktop << EOF
[Desktop Entry]
Name=RHN Update Agent
Name[sv]=RHN Uppdateringsprogram
Comment=%{summary}
Comment[sv]=uppdatera automatiskt RPM:er fr Red Hat Linux
Icon=up2date.png
Exec=/usr/bin/up2date
Type=Application
Terminal=0
EOF

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System
cat > $RPM_BUILD_ROOT/etc/X11/applnk/System/up2date-config.desktop << EOF
[Desktop Entry]
Name=RHN Configuration
Comment=Allows you to configure system and network settings for Red Hat Network
Icon=up2date.png
Exec=/usr/bin/up2date-config
Type=Application
Terminal=0
EOF

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig/rhn
mkdir -p $RPM_BUILD_ROOT/var/spool/up2date

# install the rhnsd init script
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m 755 rhnsd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/rhnsd

# install config file
install -m 644 rhnsd.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/rhn/rhnsd

%post
/sbin/chkconfig --add rhnsd

%preun
if [ $1 = 0 ] ; then
    /etc/rc.d/init.d/rhnsd stop >/dev/null 2>&1
    /sbin/chkconfig --del rhnsd
fi

%postun
if [ "$1" -ge "1" ]; then
    /etc/rc.d/init.d/rhnsd condrestart >/dev/null 2>&1
fi

%triggerpostun -- up2date <= 2.0.4
if [ "$1" -ge "1" ]; then
    /etc/rc.d/init.d/rhnsd condrestart >/dev/null 2>&1
fi

%clean
rm -fr $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/up2date
/usr/sbin/up2date
/usr/share/rhn/up2date/config.*
/usr/share/rhn/up2date/hardware.*
/usr/share/rhn/up2date/up2date.*
/usr/share/rhn/up2date/wrapper.*

#public keys and certificates
/usr/share/rhn/RHNS-CA-CERT
/usr/share/rhn/RPM-GPG-KEY

%config(noreplace) /etc/sysconfig/rhn/rhnsd
/usr/sbin/rhnsd
/usr/sbin/rhn_check
/etc/rc.d/init.d/rhnsd

%files gnome
%defattr(-,root,root)
%config /etc/X11/applnk/System/up2date.desktop
%config /etc/X11/applnk/System/up2date-config.desktop
%config /etc/security/console.apps/up2date
%config /etc/security/console.apps/up2date-config
%config /etc/pam.d/up2date
%config /etc/pam.d/up2date-config
/usr/bin/up2date
/usr/bin/up2date-config
/usr/sbin/up2date-config
/usr/share/rhn/up2date/gui.*
/usr/share/rhn/up2date/configdlg.glade
/usr/share/rhn/up2date/progress.*
/usr/share/rhn/up2date/checklist.*
/usr/share/rhn/up2date/*png
/usr/share/pixmaps/*png
%dir /var/spool/up2date

%changelog
* Mon Oct 23 2000 Preston Brown <pbrown@redhat.com>
- make sure the child process has a stderr fd.  Fixes rpmdb corruption.

* Mon Oct 09 2000 Preston Brown <pbrown@redhat.com>
- fix handling of faulty command line arguments
- fix help text regarding anonymous registration (#18543)
- import gui module later when X is available to speed cmd line arg parsing
- make explicit reference to up2date-config settings when packages are marked
  for retrieval only (so users know where to change this setting)
- implement/document -u option for batch updating a system

* Fri Oct 06 2000 Cristian Gafton <gafton@redhat.com>
- add triggerun

* Wed Oct 04 2000 Preston Brown <pbrown@redhat.com>
- increased connection interval for rhnsd
- rhnsd file descriptor leaks fixed (#18345)

* Mon Sep 11 2000 Matt Wilson <msw@redhat.com>
- fixed rhnsd.init, don't use () after shell functions

* Thu Sep  7 2000 Bill Nottingham <notting@redhat.com>
- this isn't a noarch package anymore

* Wed Sep 06 2000 Preston Brown <pbrown@redhat.com>
- rhnsd filedescriptor leak fixed

* Sun Aug 27 2000 Preston Brown <pbrown@redhat.com>
- command line mode
- implement flag to override "retrieveNew" cfg file option
- noreplace config file
- 2.0

* Fri Aug 25 2000 Preston Brown <pbrown@redhat.com>
- add rhn_check files, re-enable gnome subpkg
- requires rhn_register so that the reg program gets pulled in on upgrades

* Fri Aug 25 2000 Cristian Gafton <gafton@redhat.com>
- add the RH public key and the CA certificate to the %%files list

* Thu Aug 24 2000 Preston Brown <pbrown@redhat.com>
- require python xmlrpc >= 1.0-3, not 1.0.3

* Wed Aug 23 2000 Preston Brown <pbrown@redhat.com>
- does signature checking now, so requires very recent RPM.

* Wed Aug 23 2000 Cristian Gafton <gafton@redhat.com>
- add rhnsd

* Mon Aug 21 2000 Preston Brown <pbrown@redhat.com>
- include missing glade file in files section

* Sun Aug 20 2000 Preston Brown <pbrown@redhat.com>
- imported changelog from old update agent, made a new specfile for new ver.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 26 2000 Matt Wilson <msw@redhat.com>
- changed the attr(600,-,-) to attr(600,root,root) for /etc/up2date.conf

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- build for next release

* Thu Jun 01 2000 Nalin Dahyabhai <nalin@redhat.com>
- modify PAM configuration to use system-auth

* Mon Apr 17 2000 Preston Brown <pbrown@redhat.com>
- fix display of errors from server in dialog box (was mailed correctly)

* Thu Mar 09 2000 Preston Brown <pbrown@redhat.com>
- fix gnome arg munging

* Wed Mar 08 2000 Preston Brown <pbrown@redhat.com>
- --list option added
- ability to specify packages to retrieve in batch mode from cmd line added

* Mon Mar 06 2000 Preston Brown <pbrown@redhat.com>
- revert to kernel*.  kernel-* has issues
- depend on rpm-python
- fix long cmd line option parsing

* Thu Mar 02 2000 Bill Nottingham <notting@redhat.com>
- fix some of the rpm-3.0.4 tweaks
- cmdline mode fixes; remove the netscape dependency.

* Mon Feb 28 2000 Preston Brown <pbrown@redhat.com>
- many cleanups and updates
- better e-mail summaries
- proxy support
- cmd line mode supported

* Mon Feb 28 2000 Bill Nottingham <notting@redhat.com>
- minor tweaks for rpm-3.0.4 compatibility

* Mon Feb 14 2000 Matt Wilson <msw@redhat.com>
- require rpm python module

* Mon Nov 15 1999 Preston Brown <pbrown@redhat.com>
- echo * characters for password entry.

* Wed Nov 03 1999 Preston Brown <pbrown@redhat.com>
- fix numeric-only passwords
- make config file 0600 both in .spec file and when writing it

* Mon Nov 01 1999 Preston Brown <pbrown@redhat.com>
- mail summary of run results to administrators listed in cfg
- pop up dialogs w/result summaries when done

* Mon Oct 18 1999 Preston Brown <pbrown@redhat.com>
- renamed "Registration key" to "Password"

* Thu Oct 14 1999 Preston Brown <pbrown@redhat.com>
- move removal of skipped packages to after check for installed packages
- update the config file to exclude kernel-* by default, not kernel*

* Wed Oct 13 1999 Preston Brown <pbrown@redhat.com>
- support configurable depTries, aborting works better.

* Sat Sep 25 1999 Cristian Gafton <gafton@redhat.com>
- do not quit when starting netscape. Use a unix socket for communication

* Sat Sep 25 1999 Preston Brown <pbrown@redhat.com>
- icon added, bump rev to 1.0.

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- next generation build, preparing for release
- enabled as a PAM-console app

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- updated for newer stuff

* Tue Aug 24 1999 Preston Brown <pbrown@redhat.com>
- initial spec.


